Subject: [os2genau_digest] No. 1366
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 7 Oct 2006 00:00:22 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 06 October 2006
 Number  1366
**************************************************

Subjects for today
 
1   Apache Config problem : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 06 Oct 2006 23:09:24 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   Apache Config problem

Hi All,
	I have an apache configuration problem that I'm having difficulty
in solving.

	It is an apache config problem, although it relates to J2EE.

	I have a host, namely gpdb.warpspeed dot com dot au, so you'll see it as:

	http://gpdb.warpspeed dot com dot au

	And that is what the initial GET request will be for.

	However, J2EE revolves around the concept of context roots (all
J2EE Web apps have a context root, and that defines the root of the
application).

	The websphere plugin sits inside the web server and intercepts all
requests for the specified context roots and forwards them to the java web
application sever for processing.

	So, what I need is a virtual host setting to redirect:

	http://gpdb.warpspeed dot com dot au

	to:

	http://gpdb.warpspeed dot com dot au/gpdb/

	(and at that point, the .WAR file will use it's welcome list to
serve up whatever (in this case index.jsp)).

	So, how do I get the initial GET / redirected?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

----------------------------------------------------------------------------------